local moldgen = {}
local tinsert = table.insert
local lg = love.graphics

moldgen.width = 20
moldgen.height = 20
moldgen.tileSize = 20


function moldgen:InitialiseGrid()
	for i = 1, self.width do
		self.grid[i] = self.grid[i] or {}
		for j = 1, self.height do
			self.grid[i][j] = {}
		end
	end
end

function moldgen:MousePressed(x,y,button)
	local tile = self.grid[i] and self.grid[i][j]
	if tile then
		tile.enabled = not tile.enabled
	end
end




function moldgen:Draw()
	for i = 1, self.width do
		for j = 1, self.height do
			lg.rectangle("fill", i*self.tileSize, j*self.tileSize, self.tileSize, self.tileSize)
		end
	end
end

function moldgen:Initialise()
	self.grid = {}
	self:InitialiseGrid()



end



moldgen:Initialise()



return moldgen