io.stdout:setvbuf("no")

local lg = love.graphics

local pickers = {
	{description = "enabled", color = {30,30,70,100}},
  {description = "seed", color = {30,200,30,100}},
  {description = "sharpness", color = {30,30,150,100}},
  {description = "gems", color = {150,30,150,100}},
  {description = "structure", color = {120,79,26,100}}
}


local materials ={
		{description = "wood", color =  {120,79,26,255}},
		{description = "steel", color = {50,50,50,255}},
		{description = "glass", color = {170,170,255,255}},
		{description = "gold", color = {235,193,68,255}}
}


require "Tserial"
require "moldgenerator"
require "craftmenu"
local moldgen = NewMoldGen(pickers)

local file = love.filesystem.read('testmold.lua')
local t = Tserial.unpack(file)
print(t.config.tileSize)
local menu = NewCraftMenu(t,pickers, materials)

function love.mousepressed(x,y,button)
	moldgen:MousePressed(x,y,button)
	menu:MousePressed(x,y,button)
end

function love.keypressed(key)
	--moldgen:KeyPressed(key)
	menu:KeyPressed(key)
end

function love.update(dt)
	
end


function love.draw()
	--moldgen:Draw()	
	menu:Draw()
end
